
.tooltip {
    padding: 0;
    margin: 0;
    opacity: 1;

    .tooltip-inner {
        max-width: 300px; // fallback for browsers which do not support "vw" unit
        max-width: 100vw;
        background-color: @odoo-tooltip-background-color;
        color: #000000 ~'!important';
        border-radius: @border-radius-base;
        box-shadow: 0px 0px 1px 1px @odoo-brand-secondary;

        padding: 5px;

        text-align: left;

        .oe_tooltip_string {
            background-color: #666666 ~'!important';
            color: white;
            font-weight: bold;
            padding: 5px;
        }
        .oe_tooltip_help {
            white-space: pre-line;
            padding: 5px 5px 0;
        }
        .oe_tooltip_technical {
            padding: 0;
            margin: 5px 0 5px 20px;
            list-style-type: circle;

            .oe_tooltip_technical_title {
                font-weight: bold;
            }
        }
    }

    .tooltip-arrow {
        -moz-transform: scale(0.9999);
    }
    &.top, &.top-left, &.top-right {
        .tooltip-arrow {
            border-top-color: @odoo-tooltip-arrow-color!important;
        }
    }
    &.bottom, &.bottom-left, &.bottom-right {
        .tooltip-arrow {
            border-bottom-color: @odoo-tooltip-arrow-color!important;
        }
    }
    &.left .tooltip-arrow {
        border-left-color: @odoo-tooltip-arrow-color!important;
    }
    &.right .tooltip-arrow {
        border-right-color: @odoo-tooltip-arrow-color!important;
    }
}